Skip to content
Ona Docs

Errors

ErrorsService provides endpoints for clients to report errors that will be sent to error reporting systems.

ReportErrors
errors.report_errors(ErrorReportErrorsParams**kwargs) -> object
POST/gitpod.v1.ErrorsService/ReportErrors
ModelsExpand Collapse
One of the following:
class ErrorEvent:

ErrorEvent contains comprehensive error information (Sentry-compatible)

One of the following:
environment: Optional[str]

Environment (e.g., “production”, “staging”, “development”)

maxLength100
event_id: Optional[str]

Unique event identifier (required by Sentry)

maxLength32
minLength32
exceptions: Optional[List[ExceptionInfo]]

Exception information (primary error data)

mechanism: Optional[ExceptionMechanism]

Exception mechanism

data: Optional[Dict[str, str]]

Additional mechanism-specific data

description: Optional[str]

Human-readable description of the mechanism

maxLength1000
handled: Optional[bool]

Whether the exception was handled by user code

synthetic: Optional[bool]

Whether this is a synthetic exception (created by SDK)

type: Optional[str]

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
module: Optional[str]

Module or package where the exception type is defined

maxLength200
stacktrace: Optional[List[StackFrame]]

Stack trace frames

colno: Optional[int]

Column number in the line

formatint32
context_line: Optional[str]
maxLength1000
filename: Optional[str]

File name or path

maxLength1000
function: Optional[str]

Function name

maxLength1000
in_app: Optional[bool]

Whether this frame is in application code (vs library/framework code)

lineno: Optional[int]

Line number in the file

formatint32
module: Optional[str]

Module or package name

maxLength1000
post_context: Optional[List[str]]
pre_context: Optional[List[str]]

Source code context around the error line

vars: Optional[Dict[str, str]]

Additional frame-specific variables/locals

thread_id: Optional[str]

Thread ID if applicable

maxLength100
type: Optional[str]

Exception type/class name

maxLength200
minLength1
value: Optional[str]

Exception message/value

maxLength10000
extra: Optional[Dict[str, str]]

Additional arbitrary metadata

fingerprint: Optional[List[str]]

Custom fingerprint for grouping

identity_id: Optional[str]

Identity ID of the user (UUID)

level: Optional[ErrorLevel]

Error severity level

One of the following:
"ERROR_LEVEL_UNSPECIFIED"
"ERROR_LEVEL_DEBUG"
"ERROR_LEVEL_INFO"
"ERROR_LEVEL_WARNING"
"ERROR_LEVEL_ERROR"
"ERROR_LEVEL_FATAL"
logger: Optional[str]

Logger name

maxLength200
modules: Optional[Dict[str, str]]

Modules/dependencies information

platform: Optional[str]

Platform identifier (required by Sentry)

maxLength100
minLength1
release: Optional[str]

Release version

maxLength200
request: Optional[RequestInfo]

Request information

data: Optional[str]

Request body (truncated if large)

maxLength10000
headers: Optional[Dict[str, str]]

Request headers

method: Optional[str]

HTTP method

maxLength10
query_string: Optional[Dict[str, str]]

Query parameters

url: Optional[str]

Request URL

maxLength2000
sdk: Optional[Dict[str, str]]

SDK information

server_name: Optional[str]

Server/host name

maxLength200
tags: Optional[Dict[str, str]]

Tags for filtering and grouping

timestamp: Optional[datetime]

When the event occurred (required by Sentry)

formatdate-time
transaction: Optional[str]

Transaction name (e.g., route name, function name)

maxLength200
Literal["ERROR_LEVEL_UNSPECIFIED", "ERROR_LEVEL_DEBUG", "ERROR_LEVEL_INFO", 3 more]

Error severity levels (aligned with Sentry levels)

One of the following:
"ERROR_LEVEL_UNSPECIFIED"
"ERROR_LEVEL_DEBUG"
"ERROR_LEVEL_INFO"
"ERROR_LEVEL_WARNING"
"ERROR_LEVEL_ERROR"
"ERROR_LEVEL_FATAL"
class ExceptionInfo:

Exception information (Sentry-compatible)

mechanism: Optional[ExceptionMechanism]

Exception mechanism

data: Optional[Dict[str, str]]

Additional mechanism-specific data

description: Optional[str]

Human-readable description of the mechanism

maxLength1000
handled: Optional[bool]

Whether the exception was handled by user code

synthetic: Optional[bool]

Whether this is a synthetic exception (created by SDK)

type: Optional[str]

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
module: Optional[str]

Module or package where the exception type is defined

maxLength200
stacktrace: Optional[List[StackFrame]]

Stack trace frames

colno: Optional[int]

Column number in the line

formatint32
context_line: Optional[str]
maxLength1000
filename: Optional[str]

File name or path

maxLength1000
function: Optional[str]

Function name

maxLength1000
in_app: Optional[bool]

Whether this frame is in application code (vs library/framework code)

lineno: Optional[int]

Line number in the file

formatint32
module: Optional[str]

Module or package name

maxLength1000
post_context: Optional[List[str]]
pre_context: Optional[List[str]]

Source code context around the error line

vars: Optional[Dict[str, str]]

Additional frame-specific variables/locals

thread_id: Optional[str]

Thread ID if applicable

maxLength100
type: Optional[str]

Exception type/class name

maxLength200
minLength1
value: Optional[str]

Exception message/value

maxLength10000
class ExceptionMechanism:

Exception mechanism information (Sentry-compatible)

data: Optional[Dict[str, str]]

Additional mechanism-specific data

description: Optional[str]

Human-readable description of the mechanism

maxLength1000
handled: Optional[bool]

Whether the exception was handled by user code

synthetic: Optional[bool]

Whether this is a synthetic exception (created by SDK)

type: Optional[str]

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
class RequestInfo:

Request information (Sentry-compatible)

data: Optional[str]

Request body (truncated if large)

maxLength10000
headers: Optional[Dict[str, str]]

Request headers

method: Optional[str]

HTTP method

maxLength10
query_string: Optional[Dict[str, str]]

Query parameters

url: Optional[str]

Request URL

maxLength2000
class StackFrame:

Stack trace frame information (Sentry-compatible)

colno: Optional[int]

Column number in the line

formatint32
context_line: Optional[str]
maxLength1000
filename: Optional[str]

File name or path

maxLength1000
function: Optional[str]

Function name

maxLength1000
in_app: Optional[bool]

Whether this frame is in application code (vs library/framework code)

lineno: Optional[int]

Line number in the file

formatint32
module: Optional[str]

Module or package name

maxLength1000
post_context: Optional[List[str]]
pre_context: Optional[List[str]]

Source code context around the error line

vars: Optional[Dict[str, str]]

Additional frame-specific variables/locals